Subject: Re: [bug#65938] [PATCH v2] gnu: Add edbrowse.

From: Christopher Baines <[email-masked]>
Date: Fri, 05 Apr 2024 12:30:10 +0100

Christina O'Donnell <[email-masked]> writes:

> From: "Christina O'Donnell" <[email-masked]>
>
> * gnu/packages/web-browsers.scm (edbrowse): New variable.
> ---
>  gnu/packages/web-browsers.scm | 59 +++++++++++++++++++++++++++++++++++
>  1 file changed, 59 insertions(+)
>
> Dear B. Wilson,
>
> Thank you for this patch that you submitted in September. Sorry it's
> been a while since you sent this in, Guix is a bit short of developers
> and reviewers at the moment.
>
> I'm a new contributor trying to help with the backlog of patches, so
> you can take my points with a grain of salt.
>
> This package is good. It applies, builds and runs. The formatting is
> more or less right.
>
> I have no idea how to use or test edbrowse but it runs at least and
> passes `guix lint`.
>
> I've made the following changes:
>
>  - I've reformatted the code to the guix style.
>  - I've updated from 3.8.7 to 3.8.9.
>  - I've removed the EBDEBUG make flag as this is a release build.
>  - I've changed QUICKJS_DIR to QUICKJS_LIB as this was changed
>    between 3.8.7 and 3.8.9.
>  - I've opted for passing '#:tests #f' instead of deleting 'check.
>  - I've set the doc path to /share/doc/ instead of /doc/.
>
> Aside from these points, I think this patch is ready to be pushed.

Thanks both, I've pushed this now to master as
869fa14b786e81f5eb832bc7fd8250248b12651b.

I made a few more changes:

 - Using a gexp for the arguments (this is the newer style).

 - Reset the author and added Christina as a co-author in the commit
   message

 - Moved the patching to a phase rather than a snippet, as I think this
   is simpler

Thanks again,

Chris